fop 2.3

## org.apache.fop.render.pcl.fonts.truetype
Class PCLTTFCharacterWriter

    java.lang.Object
      org.apache.fop.render.pcl.fonts.PCLCharacterWriter
          org.apache.fop.render.pcl.fonts.truetype.PCLTTFCharacterWriter

    public class PCLTTFCharacterWriter

extends PCLCharacterWriter

Field Summary

Fields inherited from class org.apache.fop.render.pcl.fonts.PCLCharacterWriter
`font, fontReader, openFont`

Constructor Summary
`PCLTTFCharacterWriter(PCLSoftFont softFont)`

Method Summary
`byte[]` `writeCharacterDefinitions(java.lang.String text)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PCLTTFCharacterWriter

    public PCLTTFCharacterWriter(PCLSoftFont softFont)
                          throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### writeCharacterDefinitions

    public byte[] writeCharacterDefinitions(java.lang.String text)
                                     throws java.io.IOException

  Specified by:
    `writeCharacterDefinitions` in class `PCLCharacterWriter`
  Throws:
    `java.io.IOException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.